package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 工单履历对象 et_admin_order_history
 *
 * @author 邱贞招
 * @date 2024-05-06
 */
@Data
public class EtAdminOrderHistory extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 工单编号 */
    @Excel(name = "工单编号")
    private String orderNo;

    /** 用户id */
    @Excel(name = "用户id")
    private Long userId;

    /** 用户名 */
    @Excel(name = "用户名")
    private String userName;

    /** 状态 */
    @Excel(name = "状态")
    private String status;

    /** 描述 */
    @Excel(name = "描述")
    private String info;

    /** 类型：1-维修工单；2-换电工单 */
    @Excel(name = "类型：1-维修工单；2-换电工单")
    private String type;

    /** 操作类型:1-提交；2-审核；3-维修 */
    @Excel(name = "操作类型:1-提交；2-审核；3-维修")
    private String operationType;

}
