package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;

/**
 * 区域与收费方式关联对象 et_area_rule
 *
 * @author 邱贞招
 * @date 2024-05-19
 */
@Data
@Builder
@TableName(value = "et_area_rule")
public class EtAreaRule implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 区域id */
    private Long areaId;

    /** 收费规则id */
    private Long ruleId;

}
