package com.ruoyi.system.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 回调日志对象 et_callback_log
 * 
 * @author 邱贞招
 * @date 2024-06-18
 */
public class EtCallbackLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 未解析的body */
    @Excel(name = "未解析的body")
    private String body2;

    /** 解析后 */
    @Excel(name = "解析后")
    private String body;

    /** 类型：1-支付回调；2-退款回调 */
    @Excel(name = "类型：1-支付回调；2-退款回调")
    private String type;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setBody2(String body2) 
    {
        this.body2 = body2;
    }

    public String getBody2() 
    {
        return body2;
    }
    public void setBody(String body) 
    {
        this.body = body;
    }

    public String getBody() 
    {
        return body;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("body2", getBody2())
            .append("body", getBody())
            .append("createTime", getCreateTime())
            .append("type", getType())
            .toString();
    }
}
