package com.ruoyi.system.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 在线/离线日志对象 et_online_log
 *
 * @author 邱贞招
 * @date 2024-07-13
 */
@Data
public class EtOnlineLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    @Excel(name = "主键")
    private Long id;

    /** MAC */
    @Excel(name = "MAC")
    private String mac;

    /** SN */
    @Excel(name = "SN")
    private String sn;

    /** 在线状态 */
    @Excel(name = "在线状态")
    private String onlineStatus;

    /** 经度 */
    @Excel(name = "经度")
    private String longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    private String latitude;

}
