package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 软件版本对象 et_software_version
 *
 * @author qiuzhenzhao
 * @date 2024-07-22
 */
@Data
public class EtSoftwareVersion extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 版本号 */
    @Excel(name = "版本号")
    private String version;

    /** 更新内容 */
    @Excel(name = "更新内容")
    private String content;
}
