package com.ruoyi.system.domain;

import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 行程记录对象 et_trip_log
 *
 * @author 邱贞招
 * @date 2024-05-13
 */
@Data
public class EtTripLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long tripId;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderNo;

    /** 地址 */
    @Excel(name = "地址")
    private String address;

    /** 经度 */
    @Excel(name = "经度")
    private String longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    private String latitude;

    /** 类型 */
    @Excel(name = "类型")
    private String type;

    /** sn */
    @Excel(name = "sn")
    private String sn;

    /** 车辆状态 */
    @Excel(name = "车辆状态")
    private String deviceStatus;

}
