package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

import java.math.BigDecimal;

/**
 * 提现记录对象 et_withdraw
 *
 * @author 邱贞招
 * @date 2024-06-27
 */
@Data
public class EtWithdraw extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 提现id */
    private Long id;

    /** 提现单号 */
    @Excel(name = "提现单号")
    private String withdrawNo;

    /** 提现金额：元 */
    @Excel(name = "提现金额：元")
    private BigDecimal amount;

    /** 运营商id */
    @Excel(name = "运营商id")
    private Long deptId;

    /** 运营区id */
    @Excel(name = "运营区id")
    private Long areaId;

    /** 运营商 */
    @Excel(name = "运营商")
    private String deptName;

    /** 申请状态 */
    @Excel(name = "申请状态")
    private String status;

    /** 申请人 */
    @Excel(name = "申请人")
    private String applicant;

    /** 微信openid */
    @Excel(name = "微信openid")
    private String wxopenid;

    /** 回调状态 */
    @Excel(name = "回调状态")
    private String callStatus;

    /** 驳回原因 */
    @Excel(name = "驳回原因")
    private String rejectReason;

    /** 提现方式 */
    @Excel(name = "提现方式")
    private String method;

}
