package com.ruoyi.system.domain.vo;

import lombok.Data;
/**
 * 订单对象Vo
 *
 * @author 邱贞招
 * @date 2024-04-08
 */
@Data
public class EtOrderVo {

    /** 用户id  */
    private Long userId;

    /** 设备编码 */
    private String deviceMac;

    /** 设备SN编码 */
    private String sn;

    /** 计费规则 */
    private Long ruleId;

    /** 类型 1骑行 2预约 3套餐 4押金    这个类型是先后端约定的类型，跟系统中的订单类型不同*/
    private String type;

    /** 订单号 */
    private String orderNo;

    /** 备注 */
    private String mark;

    /** 区域id */
    private Long areaId;

//    /** 是否预约 */
//    private Boolean isAppointment;

    /** 是否蓝牙控制 */
    private String isBluetooth;

    /** 经度 */
    private String lon;

    /** 纬度 */
    private String lat;
}
