package com.ruoyi.system.domain.vo;

import lombok.Data;

import java.math.BigDecimal;
import java.util.List;

/**
 * 区间计费
 *
 * @author 邱贞招
 * @date 2024-05-21
 */
@Data
public class IntervalRuleVo {
    /** 启用区间 */
    private boolean enableInterval;
    /** 计费规则 */
    private List<IntervalRule> rule;

    @Data
    public class IntervalRule {
        private int start;
        private int end;
        private int eachUnit;
        private BigDecimal fee;
    }

}
