package com.ruoyi.system.domain.vo;


import lombok.Data;

import java.math.BigDecimal;

/**
 * 排行榜
 *
 * @author 邱贞招
 * @date 2024-08-09
 */
@Data
public class LeaderboardVo {

    /** 运营区id */
    private Long areaId;

    /** 运营区 */
    private String areaName;

    /** 订单数 */
    private Integer orderCount=0;

    /** 订单金额 */
    private BigDecimal orderFee= BigDecimal.ZERO;

    /** 进行中的订单 */
    private Integer inProgressOrderCount=0;

}
