package com.ruoyi.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.EtAreaDept;

/**
 * 区域与部门关联 数据层
 *
 * @author ruoyi
 */
public interface EtAreaDeptMapper extends BaseMapper<EtAreaDept>
{
    /**
     * 通过用运营区ID删除区域与部门关联
     *
     * @param deptId 部门id
     * @return 结果
     */
    public int deleteAreaDeptByDeptId(Long deptId);

    /**
     * 通过区域id删除区域与部门关联
     *
     * @param areaId 区域id
     * @return 结果
     */
    public int deleteAreaDeptByAreaId(Long areaId);
}
