package com.ruoyi.common.core.domain.vo;

import lombok.Builder;
import lombok.Data;

/**
 * 计费规则
 * */
@Data
@Builder
public class FeeRuleVo {

    /** 预约服务费 */
    private String appointmentServiceFee;

    /** 调度费 */
    private String dispatchFee;

    /** 停车点外调度费*/
    private String vehicleManagementFee;

    /** 起步价*/
    private String startingPrice;

    /** 多少分钟内按起步价*/
    private String startingHowManyMinutes;

    /** 时长费*/
    private String timeFee;

    /** 时长分钟*/
    private String timeMinutes;

    /** 预约超时保留分钟*/
    private String timeoutMinutes;

    /** 押金*/
    private String deposit;

    /** 是否有套餐*/
    private String isMeal;

    /** 24小时内封顶费用*/
    private String cappingFee;

    /** 是否强制在停车区内还车*/
    private String forceParkingArea;
}
