package com.ruoyi.system.domain;

import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Builder;
import lombok.Data;

import java.io.Serializable;

/**
 * 运营商与运营区(部门)关联表 et_area_dept
 *
 * @author 邱贞招
 * @date 2024-05-19
 */
@Data
@Builder
@TableName(value = "et_area_dept")
public class EtAreaDept implements Serializable {

    private static final long serialVersionUID = 1L;

    /** 区域id */
    private Long areaId;

    /** 收费规则id */
    private Long deptId;

}
