package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 命令日志对象 et_command_log
 *
 * @author 邱贞招
 * @date 2024-07-06
 */
@Data
public class EtCommandLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 请求url */
    @Excel(name = "请求url")
    private String url;

    /** 命令 */
    @Excel(name = "命令")
    private String command;

    /** 类型 */
    @Excel(name = "类型")
    private String type;

    /** mac */
    @Excel(name = "mac")
    private String mac;

    /** sn */
    @Excel(name = "sn")
    private String sn;

    /** 响应 */
    @Excel(name = "响应")
    private String result;

    /** 经度 */
    @Excel(name = "经度")
    private String longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    private String latitude;

    /** 手机经度 */
    @Excel(name = "经度")
    private String lon;

    /** 手机纬度 */
    @Excel(name = "纬度")
    private String lat;

    /** 回调状态 */
    @Excel(name = "回调状态")
    private String callStatus;

    /** 订单号 */
    @Excel(name = "订单号")
    private String orderNo;

    /** onenet上报的消息 */
    @Excel(name = "onenet上报的消息")
    private String msg;

//    /** 是否蓝牙控制 0-否；1-是否 */
//    @Excel(name = "是否蓝牙控制 0-否；1-是否 ")
//    private String isBluetooth;

}
