package com.ruoyi.system.domain;

import com.ruoyi.common.constant.ServiceConstants;
import lombok.Data;
import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

import java.util.Date;

/**
 * 定位日志对象 et_location_log
 *
 * @author ruoyi
 * @date 2024-08-20
 */
@Data
public class EtLocationLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 定位id */
    private Long locationId;

    /** mac */
    @Excel(name = "mac")
    private String mac;

    /** onenet接收到的消息 */
    @Excel(name = "onenet接收到的消息")
    private String onenetMsg;

    /** 经度 */
    @Excel(name = "经度")
    private String longitude;

    /** 纬度 */
    @Excel(name = "纬度")
    private String latitude;

    @Excel(name = "onenet消息时间")
    private Date at;

    /** 车辆状态 */
    @Excel(name = "车辆状态")
    private String status;

    /** 锁状态 */
    @Excel(name = "锁状态")
    private String lockStatus;

}
