package com.ruoyi.system.domain;

import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;
import lombok.Data;

/**
 * 短信日志对象 et_msg_log
 *
 * @author qiuzhenzhen
 * @date 2024-07-24
 */
@Data
public class EtMsgLog extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 短信类型:1-还车审核通知;2-用户付款通知;3-提现申请通知 */
    @Excel(name = "短信类型")
    private String type;

    /** 模版code */
    private String templateCode;

    /** 短信签名 */
    @Excel(name = "短信签名")
    private String signName;

    /** 内容 */
    @Excel(name = "内容")
    private String content;

    /** 发送手机号 */
    @Excel(name = "发送手机号")
    private String phone;

}
