package com.ruoyi.system.domain.enums.transactionBill;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 支付方式
 * @author 辉
 * 2024/3/12
 */
@Getter
@AllArgsConstructor
public enum TransactionBillPayType {

    WECHAT("1", "微信支付"),
    ALI("2", "支付宝"),
    BANK("3", "银行卡");

    private final String type;
    private final String name;
}
