package com.ruoyi.system.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.ruoyi.system.domain.EtAreaRule;

/**
 * 区域与收费方式关联 数据层
 *
 * @author ruoyi
 */
public interface EtAreaRuleMapper extends BaseMapper<EtAreaRule>
{
    /**
     * 通过用运营区ID删除区域与收费方式关联
     *
     * @param areaId 运营区id
     * @return 结果
     */
    public int deleteAreaRuleByAreaId(Long areaId);

    /**
     * 通过用ruleId删除区域与收费方式关联
     *
     * @param ruleId 运营区id
     * @return 结果
     */
    public int deleteAreaRuleByRuleId(Long ruleId);

}
